Name:           canto-curses
Version:        0.9.9
Release:        %mkrel 9
Summary:        The next generation Canto RSS client
Group:          Networking/News
License:        GPLv2+
URL:            https://codezen.org/canto-curses
Source0:        https://github.com/themoken/canto-curses/archive/v%{version}/canto-curses-%{version}.tar.gz
Patch:          fix-build-gcc14.patch
# Remove pipes import
Patch4:		https://github.com/themoken/canto-curses/commit/ca1cb8f4a96a6b9029e60109df252537c0ac75b6.patch
BuildRequires:  python3-devel
BuildRequires:  ncursesw-devel
BuildRequires:  readline-devel
Requires:       canto >= 0.9.7

%description
Canto is an Atom/RSS feed reader for the console that is meant to be quick,
concise, and colorful. It’s meant to provide a minimal, yet information packed
interface. No navigating menus. No dense blocks of unreadable white text. An
interface with almost infinite customization and extensibility using the
excellent Python programming language.

This is the curses (text) client for canto.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files canto_curses

%files -f %{pyproject_files}
%license COPYING
%doc README*
%{_bindir}/canto-curses
%{_prefix}/lib/canto/plugins/*
%{_mandir}/man1/canto-curses.1*


%changelog
* Wed Mar 05 2025 daviddavid <daviddavid> 0.9.9-9.mga10
+ Revision: 2160951
- rebuild for python 3.13

* Wed Feb 12 2025 papoteur <papoteur> 0.9.9-8.mga10
+ Revision: 2148378
- add fix from Archlinux for GCC14
- add cleaning patch

* Thu Dec 28 2023 papoteur <papoteur> 0.9.9-7.mga10
+ Revision: 2022801
- rebuild for python 3.12
- adapt to pyproject

* Sat Mar 19 2022 umeabot <umeabot> 0.9.9-6.mga9
+ Revision: 1799368
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 0.9.9-5.mga9
+ Revision: 1787579
- rebuild for python-3.10

* Fri Mar 26 2021 tv <tv> 0.9.9-4.mga9
+ Revision: 1710468
- rebuild for python 3.9

* Wed Feb 19 2020 umeabot <umeabot> 0.9.9-3.mga8
+ Revision: 1542551
- Mageia 8 Mass Rebuild

* Sun Jan 05 2020 tv <tv> 0.9.9-2.mga8
+ Revision: 1476625
- rebuild for new readline

* Mon Oct 28 2019 wally <wally> 0.9.9-1.mga8
+ Revision: 1456347
- imported package canto-curses

